## org.plovr.docgen
Class MethodDescriptor

    java.lang.Object
      org.plovr.docgen.MethodDescriptor

All Implemented Interfaces:
  Descriptor

    public class MethodDescriptor

extends Object
implements Descriptor

Nested Class Summary
`static class` `MethodDescriptor.Builder`

Field Summary
`static Function<MethodDescriptor,SoyData>` `TO_SOY_DATA`

Method Summary
`static MethodDescriptor.Builder` `builder()`
`AccessLevel` `getAccessLevel()`
`String` `getDescription()`
`String` `getName()`
`List<ParamDescriptor>` `getParams()`
`TypeExpression` `getReturnType()`
`SoyMapData` `toSoyData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TO_SOY_DATA

    public static final Function<MethodDescriptor,SoyData> TO_SOY_DATA

Method Detail

### builder

    public static MethodDescriptor.Builder builder()

### getName

    public String getName()

  Specified by:
    `getName` in interface `Descriptor`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Descriptor`

### getReturnType

    public TypeExpression getReturnType()

### getParams

    public List<ParamDescriptor> getParams()

### getAccessLevel

    public AccessLevel getAccessLevel()

### toSoyData

    public SoyMapData toSoyData()

  Specified by:
    `toSoyData` in interface `Descriptor`